MLDSAPublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.mldsa

## Class MLDSAPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters
    - - org.bouncycastle.pqc.crypto.mldsa.MLDSAPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

  Deprecated.
  use org.bouncycastle.crypto.params.MLDSAPublicKeyParameters

      @Deprecated
      public class MLDSAPublicKeyParameters
      extends MLDSAKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLDSAPublicKeyParameters(MLDSAParameters params, byte[] encoding)` Deprecated.
    `MLDSAPublicKeyParameters(MLDSAParameters params, byte[] rho, byte[] t1)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()` Deprecated.
    `byte[]` | `getRho()` Deprecated.
    `byte[]` | `getT1()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mldsa.MLDSAKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MLDSAPublicKeyParameters

          public MLDSAPublicKeyParameters(MLDSAParameters params,
                                          byte[] encoding)

      Deprecated.

    - #### MLDSAPublicKeyParameters

          public MLDSAPublicKeyParameters(MLDSAParameters params,
                                          byte[] rho,
                                          byte[] t1)

      Deprecated.

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

      Deprecated.

    - #### getRho

          public byte[] getRho()

      Deprecated.

    - #### getT1

          public byte[] getT1()

      Deprecated.